Subject: [os2genau_digest] No. 1522
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Tue, 24 Jul 2007 00:00:26 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Monday 23 July 2007
 Number  1522
**************************************************

Subjects for today
 
1   Help with HPFS386 crash : <andrew.hood2 at bigpond dot com>

**= Email   1 ==========================**

Date:  Mon, 23 Jul 2007 23:09:52 +0930
From:  <andrew.hood2 at bigpond dot com>
Subject:   Help with HPFS386 crash

Hello all,
It's been a while since I posted anything here but I need a bit of help with a problem I'm having and the story goes like this........
I had a bit of an epiphany a couple of weeks ago, we managed to make enough money to have a bit of an upgrading session, the wife got a new P4 duo with all the flash bits we could afford and I got her old 1600 celeron machine.  I pulled all the IDE drives out and swapped my SCSI drives in, hit the power button and it booted but froze because the Gengradd driver couldn't handle the 128 meg video card in it (don't know why and haven't had enough time to play with it).  Pulled that card and put the old 32 meg card in and we were away and flying. It was amazing how fast it was after the last 10 years of my old PII 400.
I had to play a bit and load new drivers for the onboard network and got that working OK and got the broadband connected, then I cruised through the os2site looking for onboard sound drivers, found one that looked about right, and started loading it.  Right about then we had one of those mini power blips, just enough to shut the machine down and then immediately restart.  
This is where my problems started.  I forgot that a couple of years ago while playing around I had installed HPFS386 file system onto my main drive to see what it was like, liked it, and left it there.  What I hadn't done was change my maintenance partition to HPFS386, or made boot disks to suit.
The machine re-booted but crashed with a SET RUNWORKPLACE = error, no problem I'll just reboot to the maint partition to sort it out, that crashed with a DOSCALL1.DLL error, bugger, drag out the boot disks, wipe the dust off, hope like hell they still work and try to boot them.  They worked OK but I can't access anything on the drives because the drives are HPFS386.  I tried to make up some HPFS386 boot disks but I can't do it with files downloaded from the net.
The only solutions I can think of at the moment are:
1) Asking very politely if someone can email copies of their HPFS386 boot disks so I can try them,
2) Point me in the direction of a URL that has copies of the above boot disks,
or 
3) fdisk and reload from scratch, remembering to make a image of the partition once I have done all the fixpacks and upgrades so I don't have to do it again, and then remembering to install the FS driver on the maint partition as well.

Any other suggestions or comments would be greatly appreciated as I am a bit stuck and want my OS/2 machine back!

Thanks

Andrew Hood

PS: I would love to try eCS but haven't got the money spare to buy it so unfortunately that is not an option, and sliding it past the finance department would be difficult (why do you keep playing around with that old stuff, just use windows, at least it works (shudder)).  Any one got a spare copy they want to sell cheap?
----------------------------------------------------------------------------------